hptSomeThingsBelowUs missing module

Evan Laforge qdunkan at gmail.com
Sat Jan 2 11:02:03 EST 2010

>> Ever since upgrading to 6.12.1, I've been getting a new warning.  I
>> Manually wiping out a bunch of .hi files causes recompilation and the
>> warning goes away.
> you need to do it. different ghc versions aren't compatible on .hi/.o
> files format/contents

Oh, it's not a 6.10 vs. 6.12 thing, I upgraded weeks ago and have
rebuilt from scratch many times since.

One thing I forgot to mention last time: the warning isn't totally
harmless because it will cause ghci to fail to run functions no matter
how much I reload modules.  I have to quit and restart it to get it to

More information about the Glasgow-haskell-users mailing list